curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/jobs/b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e/details" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetJobDetailsRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.jobs.get_job_details(
request=GetJobDetailsRequest(
job_id="b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e"
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetJobDetailsRequest
async def get_job_details():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.jobs.get_job_details_async(
request=GetJobDetailsRequest(
job_id="b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e"
)
)
print(response)
asyncio.run(get_job_details())
{
"id": "b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e",
"processing_status": "SUCCESS",
"node_stats": [
{
"node_name": "partition",
"node_type": "partition",
"node_subtype": "auto",
"ready": 0,
"in_progress": 0,
"success": 42,
"failure": 0
}
],
"message": null
}
Job
Get job details
Retrieve current processing details for a specific job.
GET
/
api
/
v1
/
jobs
/
{job_id}
/
details
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/jobs/b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e/details" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetJobDetailsRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.jobs.get_job_details(
request=GetJobDetailsRequest(
job_id="b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e"
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetJobDetailsRequest
async def get_job_details():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.jobs.get_job_details_async(
request=GetJobDetailsRequest(
job_id="b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e"
)
)
print(response)
asyncio.run(get_job_details())
{
"id": "b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e",
"processing_status": "SUCCESS",
"node_stats": [
{
"node_name": "partition",
"node_type": "partition",
"node_subtype": "auto",
"ready": 0,
"in_progress": 0,
"success": 42,
"failure": 0
}
],
"message": null
}
Path parameters
string
required
The unique identifier of the job.
Response
string
required
Unique identifier for the job.
string
required
Processing status. One of:
SCHEDULED, IN_PROGRESS, SUCCESS, COMPLETED_WITH_ERRORS, STOPPED, FAILED.array
required
Per-node processing statistics. Each object includes
node_name, node_type, node_subtype, ready, in_progress, success, and failure counts.string
Additional status message, if available.
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/jobs/b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e/details" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetJobDetailsRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.jobs.get_job_details(
request=GetJobDetailsRequest(
job_id="b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e"
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import GetJobDetailsRequest
async def get_job_details():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.jobs.get_job_details_async(
request=GetJobDetailsRequest(
job_id="b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e"
)
)
print(response)
asyncio.run(get_job_details())
{
"id": "b2c3d4e5-6f7a-8b9c-0d1e-2f3a4b5c6d7e",
"processing_status": "SUCCESS",
"node_stats": [
{
"node_name": "partition",
"node_type": "partition",
"node_subtype": "auto",
"ready": 0,
"in_progress": 0,
"success": 42,
"failure": 0
}
],
"message": null
}
Was this page helpful?
⌘I

